# VS Code Snippets Manager - VS Snippets

Supercharge your coding workflow with VS Snippets, a powerful and user-friendly code snippet manager for VS Code. Try it free and save and organize your frequently used code snippets with support for 40+ programming languages including JavaScript, Python, Java, C++, Rust, TypeScript, Go, and many more.

## Free Trial & Pricing

Start with our free trial to experience all features. When you're ready to unlock the full version:

-   🚀 Developer License: $9.99 - Perfect for individual developers
-   👥 Team License: $49.99 - Ideal for teams and organizations

[Get Your License Now](https://vssnippets.com)

Perfect for developers who want to:

-   Save time by reusing common code patterns
-   Keep code snippets organized and easily searchable
-   Share snippets across multiple projects and devices
-   Maintain a personal code library with smart categorization

Works seamlessly with VS Code and all VS Code-based editors including VSCodium, GitPod, and GitHub Codespaces. Features local backup support and cloud sync capabilities to keep your snippets safe and accessible everywhere.

## Quick Demo

📺 [Watch the full video tutorial on YouTube](https://www.youtube.com/watch?v=Dveo_WSv2rI)

See VS Snippets in action:

![VS Snippets Demo](https://res.cloudinary.com/doy6thjn1/image/upload/v1740520101/vssnippets/Code_lmyekp.gif)

## Overview

![VS Snippets Preview](https://res.cloudinary.com/doy6thjn1/image/upload/v1740307026/vssnippets/preview_oah8xi.png)

## Features

-   📝 Create and organize code snippets with a modern editor
-   📁 Advanced folder organization
    -   Create folders and subfolders
    -   Drag and drop snippets and folders
    -   Rename folders and snippets
    -   Delete items you no longer need
    -   Split screen feature for copy snippets to projects
-   🔍 Powerful search functionality
    -   Search in snippet names, content, notes, and tags
    -   Real-time search results
-   🎨 Rich code editing
    -   Syntax highlighting for 40+ programming languages
    -   Modern Monaco editor integration
    -   Language specific icons
-   📝 Snippet metadata
    -   Add notes to snippets
    -   Language specification
    -   Tags support
-   💾 Backup and sync
    -   Local backup support
    -   Import/Export functionality
    -   Auto sync on startup option
    -   Configurable backup location
    -   Cloud sync support (via Dropbox, Google Drive, etc.)
-   🔄 Cross-platform compatibility
    -   Works with VS Code based editors

## Support & Contact

Need help? We're here for you:

-   📧 Email: support@vssnippets.com
-   🌐 Website: [vssnippets.com](https://vssnippets.com)
-   📚 Documentation: [vssnippets.com/docs](https://vssnippets.com/docs)
-   🐛 Report Issues: [GitHub Issues](https://github.com/csipkay/snippy-snippets/issues)

## Installation

1. Open VS Code
2. Go to Extensions (Ctrl+Shift+X / Cmd+Shift+X)
3. Search for "VS Snippets"
4. Click Install
5. Reload VS Code when prompted

## Getting Started

1. Install the extension from:
    - VS Code Marketplace for VS Code and GitHub Codespaces
2. Start creating folders and snippets

### Managing Snippets

1. Create folders to organize your snippets
    - Click the "+" icon in the title bar to create root folders
    - Use the folder context menu to create subfolders
2. Add snippets to folders
    - Click the "New File" icon on a folder
    - Use drag and drop to move snippets between folders
3. Edit snippets in the dedicated snippet editor
    - Add your code
    - Specify the programming language
    - Add notes and tags
4. Organize your structure
    - Drag and drop folders to reorganize
    - Rename folders and snippets as needed
    - Delete items you no longer need

### Backup and Sync

1. Open VS Code Settings (`Ctrl/Cmd + ,`)
2. Search for "Snippets Manager"
3. Configure:
    - Backup Folder location
    - Auto-sync on startup option

### Cloud Sync Setup

You can use any cloud storage service to sync your snippets across computers:

1. Using Dropbox:

    - Set your backup folder to a location inside your Dropbox folder
    - Enable auto-sync on startup
    - Dropbox will automatically sync the backup file across your computers

2. Using Google Drive:

    - Set your backup folder to a location inside your Google Drive folder
    - Enable auto-sync on startup
    - Google Drive will handle the synchronization automatically

3. Using OneDrive:

    - Set your backup folder to a location inside your OneDrive folder
    - Enable auto-sync on startup
    - OneDrive will keep your snippets in sync across devices

4. Using any other cloud service:
    - Choose any cloud service that provides a local sync folder
    - Set your backup folder to that location
    - Enable auto-sync on startup
    - Your cloud service will handle the rest

Tips for cloud sync:

-   Use the same backup folder path on all your computers
-   Let the sync complete before closing VS Code
-   If conflicts occur, you can always import the backup file manually
